import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listSnmp(query) {
    return request({
        url: '/iot/snmp/list',
        method: 'get',
        params: query
    })
}

// 查询【请填写功能名称】详细
export function getSnmp(id) {
    return request({
        url: '/iot/snmp/' + id,
        method: 'get'
    })
}

// 新增【请填写功能名称】
export function addSnmp(data) {
    return request({
        url: '/iot/snmp',
        method: 'post',
        data: data
    })
}

// 修改【请填写功能名称】
export function updateSnmp(data) {
    return request({
        url: '/iot/snmp',
        method: 'put',
        data: data
    })
}

// 删除【请填写功能名称】
export function delSnmp(id) {
    return request({
        url: '/iot/snmp/' + id,
        method: 'delete'
    })
}

// 查询snmp协议OID子表列表
export function listOid(query) {
    return request({
        url: '/snmp/oid/list',
        method: 'get',
        params: query
    })
}

// 查询snmp协议OID子表详细
export function getOid(id) {
    return request({
        url: '/snmp/oid/' + id,
        method: 'get'
    })
}

// 新增snmp协议OID子表
export function addOid(data) {
    return request({
        url: '/snmp/oid',
        method: 'post',
        data: data
    })
}

// 修改snmp协议OID子表
export function updateOid(data) {
    return request({
        url: '/snmp/oid',
        method: 'put',
        data: data
    })
}

// 删除snmp协议OID子表
export function delOid(id) {
    return request({
        url: '/snmp/oid/' + id,
        method: 'delete'
    })
}
